# Poco

# class MemoryIOS

Library: Foundation
Package: Streams
Header: Poco/MemoryStream.h

## Description

The base class for MemoryInputStream and MemoryOutputStream.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: MemoryInputStream, MemoryOutputStream

## Member Summary

Member Functions: rdbuf

## Constructors

### MemoryIOS

MemoryIOS(
char * pBuffer,
std::streamsize bufferSize
);

Creates the basic stream.

## Destructor

### ~MemoryIOS

~MemoryIOS();

Destroys the stream.

## Member Functions

### rdbuf

MemoryStreamBuf * rdbuf();

Returns a pointer to the underlying streambuf.

## Variables

### _buf

MemoryStreamBuf _buf;